v_voip_decap: XDecap_Config Struct Reference

| v_voip_decap Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XDecap_Config Struct Reference

This typedef contains configuration information for the VoIP Decapsulator core. More...

## Data Fields
u16 | DeviceId
    DeviceId is the unique ID of the VoIP Decapsulator
core More...
UINTPTR | BaseAddress
    BaseAddress is the physical
base address of the core's registers More...
u16 | HWChannelNumber
| Current Supported Channel by the core. More...

## Detailed Description

This typedef contains configuration information for the VoIP Decapsulator core.

Each VoIP Decapsulator device should have a configuration structure associated.

## Field Documentation

UINTPTR XDecap_Config::BaseAddress

    BaseAddress is the physical

base address of the core's registers

Referenced by XDecap_CfgInitialize(), XDecap_ChannelClearStatistic(), XDecap_ChIntr(), XDecap_ChStatus(), XDecap_ClearGeneralStatistic(), XDecap_ControlChannelEn(), XDecap_ControlMPktDetEn(), XDecap_ControlMPktDropEn(), XDecap_CoreInfo(), XDecap_DisablePacketStopIntr(), XDecap_DisableVideoLockIntr(), XDecap_DisableVideoUnLockIntr(), XDecap_DropPcktCnt(), XDecap_EnablePacketStopIntr(), XDecap_EnableVideoLockIntr(), XDecap_EnableVideoUnLockIntr(), XDecap_FECValidPcktCnt(), XDecap_IntrClear(), XDecap_MatchIPv4Dest(), XDecap_MatchIPv4Src(), XDecap_MatchSSRC(), XDecap_MatchUDPDest(), XDecap_MatchUDPSrc(), XDecap_MatchVLANID(), XDecap_MediaValidPcktCnt(), XDecap_ModuleEn(), XDecap_PacketLockWindow(), XDecap_PacketStopTimer(), XDecap_PacketUnLockWindow(), XDecap_PeakBufferLv(), XDecap_ReOrderedPcktCnt(), XDecap_SDIPacketLockStatus(), XDecap_SetMatchSelect(), XDecap_SetOperationMode(), XDecap_StreamStat(), XDecap_StreamStopIntrStatus(), XDecap_ToMatchVLANID(), XDecap_VideoLockIntrStatus(), and XDecap_VideoUnLockIntrStatus().

u16 XDecap_Config::DeviceId

    DeviceId is the unique ID of the VoIP Decapsulator

core

u16 XDecap_Config::HWChannelNumber

Current Supported Channel by the core.

Referenced by XDecap_CfgInitialize(), and XDecap_CoreInfo().